<?php
// обновление базы и т.п.
if(!defined('ANTIBOT')) die('access denied');

clearstatcache(true); // Clears file status cache
if(function_exists('opcache_reset')) {
opcache_reset();
}

$title = abTranslate('Update');

if (file_exists(__DIR__.'/../data/updatebeta.zip')) {
unlink(__DIR__.'/../data/updatebeta.zip');
}

file_put_contents(__DIR__.'/../data/beta', '1', LOCK_EX);

//$add = @$antibot_db->exec("ALTER TABLE ipv4rules ADD disable INTEGER NOT NULL default '0';");

// ---------------------------------------------------------------------
//  обновление баз и структуры файлов:
// 8.102
if (!is_dir(__DIR__.'/../data/sqlerrorlog')) {mkdir(__DIR__.'/../data/sqlerrorlog');}
// 8.105
if (!file_exists(__DIR__.'/../data/subsalt.php')) {
file_put_contents(__DIR__.'/../data/subsalt.php', '<?php $ab_config[\'subsalt\'] = \'\';', LOCK_EX);
}
// ptr cache table:
$query = $antibot_db->exec("CREATE TABLE IF NOT EXISTS ptrcache (
ip TEXT UNIQUE NOT NULL default '', 
ptr TEXT NOT NULL default '', 
date INTEGER NOT NULL default '0', 
etime INTEGER NOT NULL default '0'
);");
// ---------------------------------------------------------------------

echo '<script>document.location.href="?'.$abw.$abp.'=beta";</script>';
